/*experimental*/
html {
	scroll-snap-type: y;
	scroll-padding: 114px;
}

section.block {
	scroll-snap-align: start;
}

@media only screen and (max-width: 992px) {
	html {
		scroll-snap-type: initial;
		scroll-padding: 64px;
	}
}

@media only screen and (max-width: 768px) {
	html {
		scroll-padding: 56px;
	}
}
</style>

<style>
.tempSlideControl {display:none !important;}
#videolist_section h4 {
	color: var(--bigTitleColor);
}

section.block .swiper-container-horizontal > .swiper-pagination {
	bottom: 2rem;
}

#banner_section {position: relative;}

#banner_section .swiper-outer {
	bottom: auto;
	top: 5%;
}

/*default settings*/
:root {
	/* color */
	--bigTitleColor: #2ba9bc;
	--smallTitleColor: #707070;
	--fontColor: #1f1f1f;
	
	/* dark mode color */
	--bigTitleColor_darkMode: #b7430b;
	--smallTitleColor_darkMode: #7e2265;
	--fontColor_darkMode: #0d0d0d;
	
	/* font size */
	--bigTitleFontSize: 3rem;
	--smallTitleFontSize: 2rem;
	
	--bigTitleFontSize_eng: 2.8rem;
	--smallTitleFontSize_eng: 1.2rem;
	
	--blockPadding: 6rem;
	--blockMinHeight: 555px;
}

/*reset from custom_product.css*/
section.feature {height: inherit;} 

#faq_section{
	background-color: #efefef;
	min-height: auto;
}

#faq_section .faq_btn {
	margin-bottom: 0;
	padding-bottom: 50px;
}

#faq_section .faq_content h4 {
	padding-top: 0;
}

#recipes_section {
	background-color: white;
}

.eng section.block h3 {letter-spacing: 0;}

.eng section.block {
	letter-spacing: 0;
	font-size: 0.9rem;
}

section.block {
	display: flex;
	justify-content: center;
	
	letter-spacing: .2rem;
	background-color: #EFEFEF;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	
	color: var(--fontColor);
}

section.block.darkMode h3 {color:var(--bigTitleColor_darkMode)}
section.block.darkMode h4 {color:var(--smallTitleColor_darkMode)}
section.block.darkMode {color: var(--fontColor_darkMode)}

section.block > div {
	display: flex;
	align-items: center;
	width: 100%;
	max-width: calc(1024px - 2rem);
	min-height: var(--blockMinHeight);
	/*background: rgba(0,0,0, 50%);*/
	transition: min-height 0.3s;
}

section.block figure{
	margin: 0; /*override browser default*/
	padding: 0;
	order: 0 !important; /*prevent from covering content while enlarging*/
	flex: 1;
	
	display: flex;
	justify-content: center;	
}

section.block figure img{
	max-width: 100%;
}

section.block.autoHeight > div {
	height: auto;
	min-height: auto;
}

section.block.panLeft.autoHeight > div,
section.block.panRight.autoHeight > div,
section.block.panCenter.autoHeight > div {
	padding-block: var(--blockPadding);
}

section .sectionNote {
	font-size: 0.7rem;
	padding-top: 2rem;
}

section.block h3, section.block h1 {
	color: var(--bigTitleColor);
	font-size: var(--bigTitleFontSize);
}

section.block h4 {
	color: var(--smallTitleColor);
	font-size: var(--smallTitleFontSize);
}


.eng section.block h3, .eng section.block h1 {
	font-size: var(--bigTitleFontSize_eng);
}

.eng section.block h4 {
	font-size: var(--smallTitleFontSize_eng);
}

.titleCell {
	padding-bottom: 1rem;
}

section.block h3 {
	letter-spacing: .25rem;
	padding-bottom: 0.25rem;
	margin: 0;
}



section.block h4 {
	padding-bottom: 0.25rem;
	font-weight: bold;
	margin: 0;
	word-break: keep-all;
}

.eng section.block {
	letter-spacing: 0;
}

.eng section.block h4 {
	font-size: var(-smallTitleFontSize_eng)
}

section .featureContent {
	text-align: center;
	max-width: 34rem;
	width: 100%;
}

section.block.panCenter .featureContent {
	max-width: 34rem;
	width: 100%;
}

section.block.panLeft > div {
	justify-content: flex-start;
}

section.block.panCenter > div {
	align-items: flex-start;
	justify-content: center;
	text-align: center;
	padding-top: var(--blockPadding);
}

section.block.panRight > div {
	justify-content: flex-end;
}

section.block.panRight.withFigure .featureContent{
	order: 1;
}
section.block.panRight.withFigure figure{
	order: 0 !important;
}

section.block.cardRow .featureContent {
	width: 100%;
}

section.block.cardRow .flexRow {
	column-gap: 1rem;
	margin-top: var(--blockPadding);
}

section.block.cardRow .cardRowItem {
	flex: 1;
}

section.block.cardRow h1 {
	font-weight: bold;
	font-size: 1.5rem;
	margin-block: 0;
}

section.installation {
	background-color: white;
}

section.block.installation .featureContent {
	width: 100%;
}

#installation.installation h3 {
	color: black;
	margin-top: 1rem;
	margin-bottom: var(--blockPadding);
}

.installation img {	
	max-width: 850px;
}

section.itemCellSectionsDesign {
	text-align: center;		
}

section.itemCellSectionsDesign >div {
	display: block;
	max-width: 1024px;
	min-height: auto;
	padding-block: var(--blockPadding);
}

section.itemCellSectionsDesign h1 {
	
	padding-bottom: 3rem;
	color: var(--bigTitleColor);
}

.itemCellSectionsItemContainer >div {
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
	
}

.itemCellSectionsItem {
	width: calc(40%);
	margin-bottom: 4rem;
}

.itemCellSectionsItem >div{
	text-align: left;
}

.itemCellSectionsItem img {
	/*width="90%" style="margin-bottom: 20px;*/
	
	width: 100%;
}

section.itemCellSectionsDesign .itemCellSectionsItem h1 {
	font-size: var(--smallTitleFontSize);
	font-weight: bold;
	margin: 1.25rem 0 0.25rem 0;
	padding-bottom: inherit;
	color: var(--bigTitleColor);
}

.eng section.itemCellSectionsDesign .itemCellSectionsItem h1 {
	font-size: var(--smallTitleFontSize_eng);
}

section.itemCellSectionsDesign .itemCellSectionsItem p {
	margin: 0;
	width: 100%;
}

section.itemCellSectionsDesign.accessoriesBlock {
	background-color: #EFEFEF !important;
}

section.block .mobile_bg {
	display:none;
}

.flexRow {
	display: flex;
}

.circleWithText {
	width: 10rem;
	height: 10rem;
	background-color: green;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 6rem;
	color: white;
	line-height: 1;
}

@media only screen and (min-width:1600px){
	#block_v video {
		height: inherit !important;
		width: 100%;
	}
}

@media only screen and (min-width:2300px) {
	section.block {background-size: contain}
}

@media only screen and (min-width:2400px){
	background-position: center center;}
}


.swiper-container-horizontal > .swiper-pagination .swiper-pagination-bullet {
	background-color: gray;
}

section.block.itemCellSectionsDesign {
	background-color: #DCDCDC;
}

.accessoriesBlock .itemCellSectionsItem {
	width: calc(100%/4 - 2rem);
}

.accessoriesBlock .itemCellSectionsItem >div {
	text-align: center;
}

.accessoriesBlock .itemCellSectionsItem img {
	padding: 2rem;
	padding-bottom: 0;
}

section.itemCellSectionsDesign.accessoriesBlock .itemCellSectionsItem p {
	width: 100%;
}

#spec_section h4,
#videolist_section h4 {
	font-size: var(--bigTitleFontSize);
}

.eng #spec_section h4,
.eng #videolist_section h4 {
	font-size: var(--bigTitleFontSize_eng);
}

/* (max-width: 1024px)------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media only screen and (max-width: 1024px) {
	/*default settings*/
	:root {
		
		/* font size */
		--bigTitleFontSize: 2.5rem;
		--smallTitleFontSize: 1.5rem;
		--blockMinHeight: 400px;
	}

	#banner_section .swiper-outer {
		bottom: auto;
		top: 10%;
	}

	section.block.panLeft .featureContent {
		padding-inline: 1rem;
	}
	
	section.block.panRight .featureContent {
		padding-inline: 1rem;
	}
	
	section.block.panCenter .featureContent {
		padding-inline: 1rem;
	}
	
	.itemCellSectionsItemContainer {
		padding-inline: 1rem;
	}
	
	.itemCellSectionsItem {
		width: calc(50% - 2rem);
	}
}
/* (max-width: 960px)------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media only screen and (max-width: 960px) {

}

/* (max-width: 768px)------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media only screen and (max-width: 768px) {
	section.block {
		background-position: bottom center;
		background-size: auto;
		padding-top: var(--blockPadding);
		/*no padding-bottom since most case contains mobile_bg element*/
	}
	
	section.block > div {
		min-height: auto;
	}

	section.block.panLeft > div,
	section.block.panRight > div {
		align-items: flex-start;
		justify-content: center;
		text-align: center;
	}
	
	section.block.panCenter > div {
		padding-top: 0;
	}
	
	section.block.panCenter .featureContent {
		padding-top: 0;
	}
	
	section.block.autoHeight {
		padding-block: 0;
	}
	
	section.block.panLeft.autoHeight > div,
	section.block.panRight.autoHeight > div{
		padding-block: var(--blockPadding);
	}
	
	section.block.panRight .featureContent{padding-right: 1rem;}
	
	section.block figure {
		width: 100%;
	}
	
	section.block.itemCellSectionsDesign {
		padding-top:0;
	}
	
	.itemCellSectionsItem {
		width: 45%;	
	}
	
	section.itemCellSectionsDesign >div {
		padding-block: var(--blockPadding);
	}
	
	section.itemCellSectionsDesign h1{
		margin-bottom: 3rem;
	}
	
	section.block.withFigure >div {
		min-height: inherit;
		flex-direction: column;
	}
	
	section.block.panRight.withFigure .featureContent{
		order: inherit;
	}
	
	section.block .mobile_bg {
		display:block;
	}
	
	section.block .mobile_bg img{
		max-width: 100%;
	}
	
	.installation img {	
		max-width: 100%;
	}
	
	.mobileBreak {display:block;}
	
	.accessoriesBlock .itemCellSectionsItem {
		width: 50%;
	}
	
	.itemCellSectionsDesign.accessoriesBlock >div{
		min-height: auto;
	}
}

/* (max-width: 700px)------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media only screen and (max-width: 700px) {

}

/* (max-width: 650px)------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media only screen and (max-width: 650px) {

	
}
/* (max-width: 600px)------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media only screen and (max-width: 600px) {
	.eng section.block h3 {
		font-size: 1.75rem;
	}
	
	.eng section.block h4 {
		font-size: var(--smallTitleFontSize_eng)
	}
	
	
	.itemCellSectionsItem {
		width: 100%;
	}
	
	.accessoriesBlock .itemCellSectionsItem {
		width: 100%;
	}
	.accessoriesBlock .itemCellSectionsItem img {
		padding: 4rem;
		padding-bottom: 0;
	}
	
}

/* (max-width: 500px)------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media only screen and (max-width: 500px) {
	section.block {
		background-size: contain;
	}
}

/* (max-width: 400px)------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media only screen and (max-width: 400px) {
	.eng section.block h3 {
		font-size: 1.4rem;
	}
	
	.eng section.itemCellSectionsDesign .itemCellSectionsItem h1{
		font-size: 1.25rem;
	}
}
